---

- name: "CMK | cmk_list_sites schon da?"
  stat:
    path: "/root/cmk_list_sites"
  register: result

- name: CMK | cmk_list_sites kopieren
  copy:
    src: "{{ role_path }}/files/cmk_list_sites"
    dest: "/root/cmk_list_sites"
    mode: '0740'
  when: result.stat.exists == False

- name: CMK | Download check_mk
  get_url:
    url: "https://download.checkmk.com/checkmk/{{cmk_version}}/check-mk-raw-{{cmk_version}}_0.buster_amd64.deb"
    dest: "/root/check-mk-raw.deb"

- name: CMK | Installation CMK-Paket
  command: "dpkg -i /root/check-mk-raw.deb"
  become: yes
  become_user: root

- name: "CMK | Sites auslesen"
  command: "/root/cmk_list_sites"
  register: cmk_sites
  args:
    chdir: /root

- name: "CMK | Sites stoppen"
  command: "omd stop {{item}}"
  with_items: "{{cmk_sites.stdout_lines}}"
  ignore_errors: yes

- name: "CMK | Sites upgraden"
  command: "omd -f update --conflict=install {{item}}"
  with_items: "{{cmk_sites.stdout_lines}}"
  ignore_errors: yes

- name: "CMK | Sites starten"
  command: "omd start {{item}}"
  with_items: "{{cmk_sites.stdout_lines}}"
  ignore_errors: yes

- name: "CMK | OMD Cleanup"
  command: "omd cleanup"
  ignore_errors: yes

- name: "CMK | Download löschen"
  file:
    path: "/root/check-mk-raw.deb"
    state: absent